const request = require('request');
const format = require('./format.js');
const AppCode = "ee651e4d629346f38695b2d95d1d62e6";

//测试数据
var wea = {"status":"0","msg":"ok","result":{"city":"深圳","cityid":"76","citycode":"101280601","date":"2017-02-10","week":"星期五","weather":"多云","temp":"12","temphigh":"15","templow":"9","img":"1","humidity":"45","pressure":"1024","windspeed":"1.1","winddirect":"北风","windpower":"2级","updatetime":"2017-02-10 13:45:05","index":[{"iname":"空调指数","ivalue":"较少开启","detail":"您将感到很舒适，一般不需要开启空调。"},{"iname":"运动指数","ivalue":"较适宜","detail":"天气较好，但考虑气温较低，推荐您进行室内运动，若户外适当增减衣物并注意防晒。"},{"iname":"紫外线指数","ivalue":"弱","detail":"紫外线强度较弱，建议出门前涂擦SPF在12-15之间、PA+的防晒护肤品。"},{"iname":"感冒指数","ivalue":"较易发","detail":"天气较凉，较易发生感冒，请适当增加衣服。体质较弱的朋友尤其应该注意防护。"},{"iname":"洗车指数","ivalue":"较适宜","detail":"较适宜洗车，未来一天无雨，风力较小，擦洗一新的汽车至少能保持一天。"},{"iname":"空气污染扩散指数","index":"中","detail":"气象条件对空气污染物稀释、扩散和清除无明显影响，易感人群应适当减少室外活动时间。"},{"iname":"穿衣指数","ivalue":"较冷","detail":"建议着厚外套加毛衣等服装。年老体弱者宜着大衣、呢外套加羊毛衫。"}],"aqi":{"so2":"12","so224":"10","no2":"20","no224":"17","co":"1.010","co24":"0.910","o3":"98","o38":"86","o324":"87","pm10":"68","pm1024":"60","pm2_5":"58","pm2_524":"49","iso2":"5","ino2":"11","ico":"11","io3":"31","io38":"43","ipm10":"59","ipm2_5":"72","aqi":"72","primarypollutant":"PM2.5","quality":"良","timepoint":"2017-02-10 13:00:00","aqiinfo":{"level":"二级","color":"#FFFF00","affect":"空气质量可接受，但某些污染物可能对极少数异常敏感人群健康有较弱影响","measure":"极少数异常敏感人群应减少户外活动"}},"daily":[{"date":"2017-02-10","week":"星期五","sunrise":"06:58","sunset":"18:17","night":{"weather":"多云","templow":"9","img":"1","winddirect":"无持续风向","windpower":"微风"},"day":{"weather":"多云","temphigh":"15","img":"1","winddirect":"无持续风向","windpower":"微风"}},{"date":"2017-02-11","week":"星期六","sunrise":"06:57","sunset":"18:17","night":{"weather":"晴","templow":"9","img":"0","winddirect":"无持续风向","windpower":"微风"},"day":{"weather":"晴","temphigh":"17","img":"0","winddirect":"无持续风向","windpower":"微风"}},{"date":"2017-02-12","week":"星期日","sunrise":"06:56","sunset":"18:18","night":{"weather":"晴","templow":"9","img":"0","winddirect":"无持续风向","windpower":"微风"},"day":{"weather":"晴","temphigh":"18","img":"0","winddirect":"无持续风向","windpower":"微风"}},{"date":"2017-02-13","week":"星期一","sunrise":"06:56","sunset":"18:19","night":{"weather":"多云","templow":"12","img":"1","winddirect":"无持续风向","windpower":"微风"},"day":{"weather":"晴","temphigh":"19","img":"0","winddirect":"无持续风向","windpower":"微风"}},{"date":"2017-02-14","week":"星期二","sunrise":"06:55","sunset":"18:19","night":{"weather":"多云","templow":"13","img":"1","winddirect":"无持续风向","windpower":"微风"},"day":{"weather":"多云","temphigh":"20","img":"1","winddirect":"无持续风向","windpower":"微风"}},{"date":"2017-02-15","week":"星期三","sunrise":"07:30","sunset":"19:30","night":{"weather":"晴","templow":"14","img":"0","winddirect":"东北风","windpower":"微风"},"day":{"weather":"晴","temphigh":"22","img":"0","winddirect":"东北风","windpower":"微风"}},{"date":"2017-02-16","week":"星期四","sunrise":"07:30","sunset":"19:30","night":{"weather":"晴","templow":"15","img":"0","winddirect":"东南风","windpower":"微风"},"day":{"weather":"晴","temphigh":"24","img":"0","winddirect":"东南风","windpower":"微风"}}],"hourly":[{"time":"14:00","weather":"晴","temp":"16","img":"0"},{"time":"15:00","weather":"晴","temp":"16","img":"0"},{"time":"16:00","weather":"晴","temp":"16","img":"0"},{"time":"17:00","weather":"晴","temp":"16","img":"0"},{"time":"18:00","weather":"晴","temp":"15","img":"0"},{"time":"19:00","weather":"晴","temp":"14","img":"0"},{"time":"20:00","weather":"晴","temp":"13","img":"0"},{"time":"21:00","weather":"晴","temp":"12","img":"0"},{"time":"22:00","weather":"晴","temp":"12","img":"0"},{"time":"23:00","weather":"晴","temp":"12","img":"0"},{"time":"0:00","weather":"晴","temp":"12","img":"0"},{"time":"1:00","weather":"晴","temp":"11","img":"0"},{"time":"2:00","weather":"晴","temp":"11","img":"0"},{"time":"3:00","weather":"晴","temp":"11","img":"0"},{"time":"4:00","weather":"晴","temp":"11","img":"0"},{"time":"5:00","weather":"晴","temp":"10","img":"0"},{"time":"6:00","weather":"晴","temp":"10","img":"0"},{"time":"7:00","weather":"晴","temp":"10","img":"0"},{"time":"8:00","weather":"晴","temp":"11","img":"0"},{"time":"9:00","weather":"晴","temp":"12","img":"0"},{"time":"10:00","weather":"晴","temp":"13","img":"0"},{"time":"11:00","weather":"晴","temp":"14","img":"0"},{"time":"12:00","weather":"晴","temp":"16","img":"0"},{"time":"13:00","weather":"晴","temp":"16","img":"0"}]}};



module.exports = function(c){
    //城市
    let city = encodeURI(c);
    let config = {
        url: `http://jisutianqi.market.alicloudapi.com/weather/query?city=${city}`,
        json: true,
        gzip: true,
        headers: {
            "Content-Type":"application/json",
            "Date":"Fri, 10 Feb 2017 15:28:15 GMT",
            "Host":"jisutianqi.market.alicloudapi.com",
            "Accept":"application/json",
            "X-Ca-Timestamp":`${new Date().getTime()}`,
            "X-Ca-Version":"1",
            "gateway_channel":"http",
            "User-Agent":"Apache-HttpClient/4.1.2 (java 1.6)",
            "headerName":"consoleClientHeaderName",
            "X-Ca-Key":"23630672",
            "X-Ca-Stage":"RELEASE",
            "Authorization":`APPCODE ${AppCode}`
        }
    };
    request(config).on('data', function(data) {
            let result = JSON.parse(data.toString("utf8"))
            if(result.status!=0)
                console.log("\n  无法获取到天气信息 : "+ result.msg)
            else
                format(JSON.parse(data.toString("utf8")));
    })
}